Delete an agent's voice
curl --request DELETE \
--url https://api.getmalakai.com/agent-voices/custom-voices/{id} \
--header 'Authorization: <authorization>' \
--header 'x-access-token: <x-access-token>'import requests
url = "https://api.getmalakai.com/agent-voices/custom-voices/{id}"
headers = {
"Authorization": "<authorization>",
"x-access-token": "<x-access-token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'x-access-token': '<x-access-token>'}
};
fetch('https://api.getmalakai.com/agent-voices/custom-voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseCode": "2000",
"message": "Agent deleted successfully."
}
Voices
Delete an agent's voice
Permanently delete a specific agent’s voice by its ID.
DELETE
agent-voices
/
custom-voices
/
{id}
Delete an agent's voice
Headers
string
required
Your API key for authentication. Prefix with
Bearer .string
required
Your access token for authentication.
Path Parameters
string
required
The unique identifier of the agent voice you want to delete.
Response
A successful deletion will return a success status and message.string
Confirms the request was successful.
string
A message indicating the result of the deletion.
{
"responseCode": "2000",
"message": "Agent deleted successfully."
}
⌘I